API Reference
Auto-generated
Workspaces
API reference for workspaces endpoints.
Auto-generated
This page was generated from the OpenAPI spec. Run
make generate-docs to refresh after spec changes.GET /api/v1/workspaces/{org_id}/activity
GET
/api/v1/workspaces/{org_id}/activityGet workspace activity feed
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id | string | Required | org_id |
| limit | integer | Optional | Page sizeDefault: 50 |
| offset | integer | Optional | Page offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/activity \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"items": [],
"total": 0,
"limit": 0,
"offset": 0
}GET /api/v1/workspaces/{org_id}/contact-lists
GET
/api/v1/workspaces/{org_id}/contact-listsList contact lists shared to a workspace
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id | string | Required | org_id |
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/contact-lists \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"items": [],
"total": 0
}GET /api/v1/workspaces/{org_id}/secrets
GET
/api/v1/workspaces/{org_id}/secretsList secrets shared to a workspace (masked preview only)
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id | string | Required | org_id |
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/secrets \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"items": [],
"total": 0
}GET /api/v1/workspaces/{org_id}/workflows
GET
/api/v1/workspaces/{org_id}/workflowsList workflows shared to a workspace
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| org_id | string | Required | org_id |
| limit | integer | Optional | limitDefault: 50 |
| offset | integer | Optional | offsetDefault: 0 |
Request Example
Bash
curl -X GET https://api.alterlab.io/api/v1/workspaces/<org_id>/workflows \
-H "X-API-Key: YOUR_API_KEY" \
-H "Content-Type: application/json"Response Example
JSON
{
"items": [],
"total": 0
}